Skip to main content
GET
/
advertisers
/
{advertiserId}
/
test-cohorts
List test cohorts
curl --request GET \
  --url https://api.agentic.scope3.com/api/v2/buyer/advertisers/{advertiserId}/test-cohorts \
  --header 'Authorization: Bearer <token>'
{
  "cohorts": [
    {
      "id": "cohort_abc123",
      "advertiserId": "12345",
      "name": "West Coast Treatment Group",
      "cohortType": "geographic",
      "role": "TREATMENT",
      "definition": {
        "type": "zip_code"
      },
      "isActive": true,
      "createdAt": "2025-01-15T10:30:00Z",
      "updatedAt": "2025-01-20T14:45:00Z",
      "description": "<string>",
      "estimatedSize": 50000
    }
  ],
  "total": 6
}

Authorizations

Authorization
string
header
required

API key or access token

Path Parameters

advertiserId
string
required

Unique identifier for the advertiser

Minimum string length: 1
Example:

"12345"

Query Parameters

advertiserId
string

Filter by advertiser ID

Example:

"12345"

role
enum<string>

Filter by cohort role

Available options:
TREATMENT,
CONTROL,
OBSERVATION
isActive
boolean

Filter by active status

take
integer
default:50

Number of results to return (max 250)

Required range: x <= 250
Example:

50

skip
integer
default:0

Number of results to skip for pagination

Required range: 0 <= x <= 9007199254740991
Example:

0

Response

List test cohorts

Response containing a paginated list of test cohorts

cohorts
object[]
required

List of test cohorts

total
integer
required

Total count of cohorts matching the query

Required range: 0 <= x <= 9007199254740991
Example:

6